Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.svg.font
Class AggregatingFontFamilyResolver

    java.lang.Object
      org.apache.fop.svg.font.AggregatingFontFamilyResolver

All Implemented Interfaces:
  org.apache.batik.bridge.FontFamilyResolver

    public class AggregatingFontFamilyResolver

extends java.lang.Object
implements org.apache.batik.bridge.FontFamilyResolver

Constructor Summary
`AggregatingFontFamilyResolver(org.apache.batik.bridge.FontFamilyResolver... resolvers)`

Method Summary
`org.apache.batik.gvt.font.GVTFontFamily` | `getDefault()`
`org.apache.batik.gvt.font.GVTFontFamily` | `getFamilyThatCanDisplay(char c)`
`org.apache.batik.gvt.font.GVTFontFamily` | `loadFont(java.io.InputStream in, org.apache.batik.bridge.FontFace fontFace)`
`org.apache.batik.gvt.font.GVTFontFamily` | `resolve(java.lang.String familyName)`
`org.apache.batik.gvt.font.GVTFontFamily` | `resolve(java.lang.String familyName, org.apache.batik.bridge.FontFace fontFace)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AggregatingFontFamilyResolver

    public AggregatingFontFamilyResolver(org.apache.batik.bridge.FontFamilyResolver... resolvers)

Method Detail

### resolve

    public org.apache.batik.gvt.font.GVTFontFamily resolve(java.lang.String familyName)

  Specified by:
    `resolve` in interface `org.apache.batik.bridge.FontFamilyResolver`

### resolve

    public org.apache.batik.gvt.font.GVTFontFamily resolve(java.lang.String familyName,
                                                           org.apache.batik.bridge.FontFace fontFace)

  Specified by:
    `resolve` in interface `org.apache.batik.bridge.FontFamilyResolver`

### loadFont

    public org.apache.batik.gvt.font.GVTFontFamily loadFont(java.io.InputStream in,
                                                            org.apache.batik.bridge.FontFace fontFace)
                                                     throws java.lang.Exception

  Specified by:
    `loadFont` in interface `org.apache.batik.bridge.FontFamilyResolver`
  Throws:
    `java.lang.Exception`

### getDefault

    public org.apache.batik.gvt.font.GVTFontFamily getDefault()

  Specified by:
    `getDefault` in interface `org.apache.batik.bridge.FontFamilyResolver`

### getFamilyThatCanDisplay

    public org.apache.batik.gvt.font.GVTFontFamily getFamilyThatCanDisplay(char c)

  Specified by:
    `getFamilyThatCanDisplay` in interface `org.apache.batik.bridge.FontFamilyResolver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.